Subject: Re: TSVDIR Review for draft-ietf-netext-pmip6-lr-ps

From: Marco Liebsch <[email-masked]>
Date: Mon, 2 May 2011 11:21:40 +0200

Dear Yoshifumi,

thanks a lot for your review. Please find 2 comments inline.

Yoshifumi Nishida wrote:
> Hello,
> I've reviewed this document as part of the transport area
> directorate's ongoing effort to review key IETF documents. These
> comments were written primarily for the transport area directors, but
> are copied to the document's authors for their information and to
> allow them to address any issues raised. The authors should consider
> this review together with any other last-call comments they
> receive. Please always CC [email-masked] if you reply to or forward
> this review.
>
> Summary:
>
> This draft describes the problem space for localized routing in PMIPv6,
> which supports direct communication between MAGs for MN and CN.
> This draft is basically ready for publication and I couldn't
> find any transport related issues in the draft.
>
> Minor comments:
>
> Would it be better to mention error detection and fallback function in
> Functional Requirements? It would be useful and helpful to fall back
> to normal routing when something happens.
>   
I agree that the solution must provide means to handle such error cases
and to step back to non-optimized routing in case there is need.
I see these as non-functional requirements, whereas section 4 is about 
functional
requirements only. We could add a functional requirement to 'terminate'
localized routing. Example for reasons doing this could be the error
case you mention. Does this sound ok?

> I believe localize routing is very useful in most cases. However, I think
> there will be the cases where we had better avoid localized routing,
> such as a case where there are some restrictions (policy, network quality
> or configuration, etc) in communications between MAGs.
> It might be better to address having some kind of control to enable
> localized routing in Functional Requirements in addition to checking
> source and destination addresses.
>   
Section 4, which covers the functional requirements, has a new item listed
about enforcement of operator policies to control localized routing. I think
that covers your comment.

Thanks and best regards,
marco

> Thanks,
> --
> Yoshifumi Nishida
> [email-masked]

---

From: Yoshifumi Nishida <[email-masked]>
Date: Mon, 2 May 2011 20:12:23 -0700

Dear Marco,

Thanks for your response.

> case you mention. Does this sound ok?

Yes. That works for me.

> that covers your comment.

I've checked the new item and I think it covers the comments.

Thanks,
--
Yoshifumi Nishida
[email-masked]